<#ibiztemplate>
FILENAME=${item.codeName}RestController.java
PUBOBJ=SysAPICode2
MODELS=PSDESERVICEAPI
%PUBPKG%=${pub.getPKGCodeName()?replace('.','/')}
%API%=${api.codeName?lower_case}
</#ibiztemplate>
package ${pub.getPKGCodeName()}.api.${api.codeName?lower_case}.controller;

import net.ibizsys.paas.sysmodel.ISystemModel;
import net.ibizsys.paas.sysmodel.SysModelGlobal;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import ${pub.getPKGCodeName()}.srv.${sys.codeName}SysModel;

/**
 * 系统服务API[${item.name}]控制类基类
 *
 * !! 不要对此代码进行修改
 */
@RestController
@RequestMapping("/api/${api.codeName?lower_case}/v${api.getAPIVersion()?c}")
<#if item.getHandler()?? && item.getHandler()?length gt 0>
public class ${item.codeName}RestController extends ${item.getHandler()}{
<#else>
public class ${item.codeName}RestController extends ${pub.getBaseClassPKGCodeName()}.paas.api.RestControllerBase{
</#if>
 
    public ${item.codeName}RestController() throws Exception{
	 super();
         this.setId("${item.id}");
     }
     private ${sys.codeName}SysModel ${srfparamname('${sys.codeName}')}SysModel;
    
    public  ${sys.codeName}SysModel get${sys.codeName}SysModel() {
           if(this.${srfparamname('${sys.codeName}')}SysModel==null)
           {
               try
                {
                      this.${srfparamname('${sys.codeName}')}SysModel = (${sys.codeName}SysModel)SysModelGlobal.getSystem("${pub.getPKGCodeName()}.srv.${sys.codeName}SysModel");
                }
                catch(Exception ex)
                {
                }
           }       
           return this.${srfparamname('${sys.codeName}')}SysModel;
      }

       @Override
       public  ISystemModel getSystemModel() {
        return this.get${sys.codeName}SysModel();
    }       
 }